#!/usr/bin/env ruby

require 'open-uri'

user = ARGV[0]
if !user
  puts "Usage: #$0 hatena_user"
  exit 1
end

puts "http://d.hatena.ne.jp/#{user}/%Y%m%d"
0.step(1000,50) do |of|
  c = open("http://d.hatena.ne.jp/#{user}/archive?word=&of=#{of}"){|_|_.read}
  found = false
  c.scan(/<li class="archive archive-date">(.*?)<\/ul>/ms) do
    a = $1
    if a !~ /(\d\d\d\d)-(\d\d)-(\d\d)/
      raise 'date not found'
    end
    ymd = $&
    y = $1
    m = $2
    d = $3

    titles = []
    a.scan(/>([^<]*?)<\/a><\/li>/) do
      t = $1.strip
      next if t == ymd
      titles << t
    end

    puts "#{y},#{m},#{d}," + titles * ' / '
    found = true
  end
  break if !found
end
